Subject: Re: [mobile-ip] Mobile IPv4 'R' bit and multiple routers

From: "Alper E. YEGIN" <[email-masked]>
Date: Thu, 26 Sep 2002 15:57:00 -0700

>
> I believe the way this is specified in 3344 is good; it codifies the way
> things should work with respect to mobile-ip, but does not go into
> specifying mechanisms that are not directly mobility related, e.g.
> communication of access control or other mechanisms between routers.

I think this is a job half-done. I don't think even forcing a host to
register
with the FA has anything to do with Mobile IP. The FA is simply
providing fowarding service, just like any standard router would do.
It really doesn't matter if the IP packets have another IP packets inside
and the host is doing some magic with them.

alper

---

From: "Alper E. YEGIN" <[email-masked]>
Date: Fri, 27 Sep 2002 14:30:11 -0700

> To the extent that a visited network may only wish to provide mobility
> support to authenticated and registered nodes, I'd say that this *is*
> relevant to mobile ip.

But in the case of co-located care-of address, the access network
*is not* providing any mobility support. It's just providing "IP access".

> And I agree that the job is only half done (if
> even that), but I think that it's perfectly fine that the mobile ip spec
> didn't go further :-).
>
> Henrik
>

alper

---

From: "Alper E. YEGIN" <[email-masked]>
Date: Fri, 27 Sep 2002 17:36:01 -0700

> Not so. The network has a choice of permitting nodes migrating in and out
> to get connectivity. It can choose to be wide open or completely closed:
> not handing out any addresses, not permitting passage to and from the
> internet for messages from/to any unknown node, migrating node. OR it
> (the visited network) may choose a middle road, by selectively opening
> up for some mobile nodes. Providing "just IP access" to mobile nodes *is*
> to provide support for them. It is not specifically FA support, but

Exactly! All you described is only about "IP access" service, nothing
to do with mobility management in the context of Mobile IP protocol.
This network is doing nothing special for the "network-layer mobility
management" of the "nodes". Just because some of those nodes are
"mobile node" doesn't mean that the service provided by the network
is "mobile IP". Some of those nodes might even be using end2end IPsec with
their peers on the other side of the Internet. Now would we say that the
access network is also providing "security" support?

> nevertheless support for them coming in, sending and receiving traffic,
> and moving on. It is mobility support, and providing a way to handle
> the middle ground between a fully open and fully closed visited network
> deserved kudos.

alper